package eu.eudat.models.dmp;

import eu.eudat.models.DataModel;

import java.util.UUID;

public class Project implements DataModel<eu.eudat.entities.Project>{
    private UUID id;
    private String label;
    public UUID getId() {
        return id;
    }

    public void setId(UUID id) {
        this.id = id;
    }        

    public String getLabel() {
		return label;
	}

	public void setLabel(String label) {
		this.label = label;
	}

	@Override
    public void fromDataModel(eu.eudat.entities.Project entity) {
        this.id = entity.getId();
        this.label = entity.getLabel();
    }

    @Override
    public eu.eudat.entities.Project toDataModel() {
        eu.eudat.entities.Project project = new eu.eudat.entities.Project();
        project.setId(this.id);
        
        return project;
    }
}
