import { Serializable } from "../Serializable";

export class DataManagementPlanListingModel implements Serializable<DataManagementPlanListingModel> {
	public id: String;
	public label: String;
	public abbreviation: String;
	public reference: String;
	public uri: String;
	public status: String;
	public startDate: Date;
	public endDate: Date;
	public description: String;

	fromJSONObject(item: any): DataManagementPlanListingModel {
		this.id = item.id;
		this.label = item.label;
        this.abbreviation = item.abbreviation;
        this.reference = item.reference;
        this.uri = item.uri;
        this.status = item.status;
        this.startDate = item.startDate;
        this.endDate = item.endDate;
        this.description = item.description;

		return this;
	}
}