package eu.eudat.dao.entities;

import java.util.List;
import java.util.UUID;

import eu.eudat.dao.Dao;
import eu.eudat.entities.Dataset;
import eu.eudat.entities.responses.IDLabelPair;
import org.springframework.stereotype.Service;

public interface DatasetDao extends Dao<Dataset, UUID> {


	public List<UUID> listAllIDs();

	List<IDLabelPair> listAllIDsLabels();

	List<Dataset> getDatasetsOfDmp(UUID dmpID);
	
}