package eu.eudat.models.dmp;

import eu.eudat.models.DataModel;

import java.util.Date;

public class Researcher implements DataModel<eu.eudat.entities.Researcher> {
    private String pid;
    private String name;
    private String uri;
    private int status;

    public String getPid() {
        return pid;
    }

    public void setPid(String pid) {
        this.pid = pid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getUri() {
        return uri;
    }

    public void setUri(String uri) {
        this.uri = uri;
    }

    public int getStatus() {
        return status;
    }

    public void setStatus(int status) {
        this.status = status;
    }

    @Override
    public void fromDataModel(eu.eudat.entities.Researcher entity) {
        this.pid = entity.getReference();
        this.name = entity.getLabel();
        this.status = entity.getStatus();
        this.uri = entity.getUri();
    }

    @Override
    public eu.eudat.entities.Researcher toDataModel() {
        eu.eudat.entities.Researcher researcher = new eu.eudat.entities.Researcher();
        researcher.setReference(this.pid);
        researcher.setLabel(this.name);
        researcher.setCreated(new Date());
        researcher.setStatus((short)this.status);
        return researcher;
    }
}
