import { Component, ViewChild, OnInit, AfterViewInit } from "@angular/core";
import { MatPaginator, MatSort, MatSnackBar } from "@angular/material";
import { Router } from "@angular/router";
import { TranslateService } from "@ngx-translate/core";
import { DataSource } from "@angular/cdk/table";
import { Observable } from "rxjs/Observable";
import { DataManagementPlanService } from "../../services/data-management-plan/data-management-plan.service";



@Component({
  selector: 'app-dmp-editor-component',
  templateUrl: 'dmp-editor.component.html',
  styleUrls: ['./dmp-editor.component.css'],
})
export class DataManagementPlanEditorComponent implements OnInit, AfterViewInit {

  constructor(
    private projectService: DataManagementPlanService,
    private router: Router,
    private languageService: TranslateService,
    public snackBar: MatSnackBar
  ) {

  }

  ngOnInit() {

  }

  ngAfterViewInit() {

  }
}