import { DataManagementPlanCriteria } from "../criteria/data-management-plan/DataManagementPlanCriteria";
import { ProjectCriteria } from "../criteria/project/ProjectCriteria";

export class DataTableRequest {
	offset = 0;
	length = 0;
	projectCriteria: ProjectCriteria;
	dmpCriteria: DataManagementPlanCriteria;

	constructor(offset: number, length: number) {
		this.length = length;
		this.offset = offset;
	}
}
